const exec = require('child_process').exec;
const CLI = require('clui'),
  Spinner = CLI.Spinner;

const spinner = new Spinner('Downloading update...');
module.exports = {
  execute : (path) => {
    spinner.start();
    return new Promise(resolve => {
      exec(`sh ${path}`, (err, stdout, stderr) => {
        spinner.stop();
        if (err) console.log('error in updater.js: ', err);
        resolve({data: stdout, error: stderr});
      });
    });
  },
}
